def is_valid_key_value_pair(s: str) -> bool:
    parts = s.split(':')
    # Ensure there are exactly 2 parts (key and value) and neither part is an empty string
    if len(parts) == 2 and parts[0] and parts[1] and parts[0].strip() and parts[1].strip():
        return True
    return False


def validate_key_value_pair(s: str) -> str:
    # Remove leading and trailing whitespaces in the key:value pair
    s = ":".join([word.strip() for word in s.split(":")])
    # Check if the key-value pair is valid
    if not is_valid_key_value_pair(s):
        raise ValueError(f"Invalid key-value pair: {s}")
    return s
